<h1>RSS Syndication</h1>

<article>
  <header>
    <h2>Subscribe to our Feeds</h2>
  </header>
  <p>
  Great that you want to listen. Have a look below at the feeds that best suite your listening habits.
  </p>
</article>
<article>
  <header>
    <h2><img src="<!--% absolute_path(baseurl) %-->images/feed.png" alt="rss logo"> The Community News Summary</h2>
    <h3>One show a month</h3>
  </header>
  <p>
  If you get overwhelmend by the amount of shows we produce, then this is a good place to start.
  </p>
  <p>
  Every month, the HPR Janitors put down their mops had have a chat about all the shows, and what else has been going on in the HPR community. This is a regular show scheduled for the first Monday of the month. 
  </p>
  <ul>
    <li><a href="<!--% absolute_path(baseurl) %-->hpr_ogg_rss.php?series=47">ogg</a> Larger file size higher quality feed.</li>
    <li><a href="<!--% absolute_path(baseurl) %-->hpr_spx_rss.php?series=47">mp3</a> Larger file size regular quality feed in a common format.</li>
    <li><a href="<!--% absolute_path(baseurl) %-->hpr_mp3_rss.php?series=47">spx</a> Small file size lower quality feed. <br/>Ideal for dial-up/mobile connections.</li>
  </ul>
  <p>
  We also maintain an <a href="https://archive.org/details/hackerpublicradio?and[]=subject%3A%22Community+News%22">Archive.org</a> page where you can get the shows in even more formats.
  </p>
</article>
<article>
  <header>
    <h2><img src="<!--% absolute_path(baseurl) %-->images/feed.png" alt="rss logo"> Two week Audio feed</h2>
    <h3>5 shows a week</h3>
  </header>
  <p>
  Use these feeds to keep up to date with the latest HPR Episodes.
  </p>
  <ul>
    <li><a href="<!--% absolute_url(baseurl) %-->hpr_ogg_rss.php">ogg</a> Larger file size higher quality feed.</li>
    <li><a href="<!--% absolute_url(baseurl) %-->hpr_rss.php">mp3</a> Larger file size regular quality feed in a common format.</li>
    <li><a href="<!--% absolute_url(baseurl) %-->hpr_spx_rss.php">spx</a> Small file size lower quality feed. <br/>Ideal for dial-up/mobile connections.</li>
  </ul>
  <p>
  We also maintain an <a href="https://archive.org/details/hackerpublicradio">Archive.org</a> page where you can get the shows in even more formats. For more recent shows we are now including the original upload as delivered.
  </p>
</article>
<article>
  <header>
    <h2><img src="<!--% absolute_path(baseurl) %-->images/feed.png" alt="rss logo"> Entire Archive Audio feed</h2>
  </header>
  <p>
    Use this feed to get the archived episodes. The feed themselves run over 15Mb in size and so use them to download the archived episodes and when you are up to date switch back to the Two Week Feeds listed above.
  </p>
  <ul>
    <li><a href="<!--% absolute_path(baseurl) %-->hpr_total_ogg_rss.php">ogg feed</a> Warning over 50G</li>
    <li><a href="<!--% absolute_path(baseurl) %-->hpr_total_spx_rss.php">spx feed</a> Warning over 22G</li>
    <li><a href="<!--% absolute_path(baseurl) %-->hpr_total_rss.php">mp3 feed</a> Warning over 36G</li>
  </ul>
</article>
<article>
  <header>
    <h2><img src="<!--% absolute_path(baseurl) %-->images/feed.png" alt="rss logo"> Future feed</h2>
  </header>
  <p>
    Use this feed to get the shows as they are posted. The shows will be posted out of order as they come in and may be replaced/reposted if errors are found. This is intended as a means to provide find issues with metadata or the audio quality of new shows before they hit the main feed. 
  </p>
  <ul>
    <li><a href="<!--% absolute_path(baseurl) %-->rss-future.php">Shows as they are posted.</a> OGG Only</li>
  </ul>
</article>
<article>
  <header>
    <h2><img src="<!--% absolute_path(baseurl) %-->images/feed.png" alt="rss logo"> Comment feed</h2>
  </header>
  <ul>
    <li><a href="<!--% absolute_path(baseurl) %-->comments.rss">Listener contributed comments to the episodes</a></li>
  </ul>
</article>
<hr />
<h1>Other Download Options</h1>
<article>
  <header>
    <h2>Site Replication Sources</h2>
  </header>
  <ul>
  <li><a href="<!--% absolute_path(baseurl) %-->hpr.sql">Daily Database Dump in SQL Format</a></li>
  <li><a href="https://repo.anhonesthost.net/explore/repos">All the HPR Source Code is on GitTea</a></li>
  <li><a href="https://hub.hackerpublicradio.org/stats.json">Current Statistics on the HPR Project (updated every 15 mins)</a></li>
  <ul>
</article>
<article>
  <header>
    <h2>External Sources</h2>
  </header>
  <ul>
    <li><a href="https://archive.org/details/hackerpublicradio">Archive.org</a></li>
    <li><a href="https://music.amazon.fr/podcasts/9d9e6211-ff78-4501-93b6-6a9e560c4dbd/hacker-public-radio">Amazon Music</a></li>
    <li><a href="https://nl.radio.net/podcast/hacker-public-radio">Radio.net</a></li>
    <li><a href="https://open.spotify.com/show/7e2hYcnHj9vKgUzsIOf4r3">Spotify</a></li>
    <li><a href="https://player.fm/series/hacker-public-radio">PlayerFM</a></li>
    <li><a href="https://podcasts.apple.com/us/podcast/hacker-public-radio/id281699640">iTunes</a></li>
    <li><a href="https://podcasts.google.com/feed/aHR0cDovL2hhY2tlcnB1YmxpY3JhZGlvLm9yZy9ocHJfcnNzLnBocA">Google Podcasts</a></li>
    <li><a href="https://toppodcast.com/podcast_feeds/hacker-public-radio/">Top Podcasts</a></li>
    <li><a href="https://www.iheart.com/podcast/256-hacker-public-radio-30994513/" target="_blank">iHeart Radio</a></li>
    <li><a href="https://www.listennotes.com/de/podcasts/hacker-public-radio-hacker-public-radio-mNH-jsI7LcJ/">Listen Notes</a></li>
    <li><a href="https://www.mixcloud.com/hackerpublicradio/">MixCloud</a></li>
    <li><a href="https://www.podchaser.com/podcasts/hacker-public-radio-76781">Podchaser</a></li>
  <ul>
</article>

<article>
  <header>
  <h1>Download Archive</h1>
  <p>Please be aware that our Archive exceeds <strong>62Gb</strong> <em>(Ogg: 21Gb, Spx: 16Gb, mp3: 25Gb)</em>. We are happy for you to download them, but please make sure that you are not going to incur additional bandwidth charges on your side.</p>
  <p>We will be happy to post you DVD's of the episodes anywhere in the world if bandwidth is an issue.</p>
  </header>
  <h2>Full Episode Guide</h2>
  <p>
  The <a href="<!--% absolute_path(baseurl) %-->eps/index.html">compete episode guide</a> is available to you, and it lists all the shows on one page going right back to the very first episode.
  </p>
  <h2>Command line download</h2>
  <p>
  You can download the audio of the episodes directly from the command line using the following commands:
  </p>
  <ul>
  <li>ogg:<br />
  <span style="font-family:monospace;">curl '<!--% absolute_path(baseurl) %-->eps/hpr[0001-<!--% episode.latest %-->].ogg' -o "hpr#1.ogg"</span></li>
  <li>spx:<br />
  <span style="font-family:monospace;">curl '<!--% absolute_path(baseurl) %-->eps/hpr[0001-<!--% episode.latest %-->].spx' -o "hpr#1.spx"</span></li>
  <li>mp3:<br />
  <span style="font-family:monospace;">curl '<!--% absolute_path(baseurl) %-->eps/hpr[0001-<!--% episode.latest %-->].mp3' -o "hpr#1.mp3"</span></li>
  </ul>

</article>
